Reinstall Qt5 with QtMultimedia using Ubuntu Mate



  • @jsulm yeah ok.. thanks, i am going a little bit mental here. I thought i already installed gstreamer. Thats why i was confused. I think i know now what to do


  • Qt Champions 2018

    @Xenoshell You installed GStreamer but not its development packages (which for example contain the header files). You need to install the dev packages as well.



  • @jsulm
    I installed alsa, dbus, gstreamer, ffmpeg but they still show up as errors. What can i do?

    ERROR: Feature 'dbus-linked' was enabled, but the pre-condition 'features.dbus && libs.dbus' failed.
    
    ERROR: Feature 'alsa' was enabled, but the pre-condition 'config.unix && !config.qnx && libs.alsa' failed.
    
    ERROR: Feature 'gstreamer_1_0' was enabled, but the pre-condition 'libs.gstreamer_1_0' failed.
    
    ERROR: Feature 'alsa' was enabled, but the pre-condition 'config.unix && libs.alsa' failed.
    
    ERROR: Feature 'system-ffmpeg' was enabled, but the pre-condition 'libs.ffmpeg && features.system-opus && features.system-webp' failed.
    
    

  • Qt Champions 2018

    @Xenoshell What exactly did you install? You need *-dev packages.



  • @jsulm i didnt found any -dev packages. I just searched google for packages to those features that create errors and installed those but didnt saw any -dev packages


  • Lifetime Qt Champion



  • @SGaist ok thanks, i found all -dev packages for all the errors exept ffmpeg and dbus-linked.
    ./configure output is now:

    Note: Also available for Linux: linux-clang linux-icc
    
    Note: Dropped compiler flags '-pthread' when detecting library 'glib'.
    
    Note: Disabling X11 Accessibility Bridge: D-Bus or AT-SPI is missing.
    
    Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer'.
    
    Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer_app'.
    
    ERROR: Feature 'dbus-linked' was enabled, but the pre-condition 'features.dbus && libs.dbus' failed.
    
    ERROR: Feature 'system-ffmpeg' was enabled, but the pre-condition 'libs.ffmpeg && features.system-opus && features.system-webp' failed.
    
    Check config.log for details.
    

    Do i actually need ffmpeg for qtMultimedia? Since it is a videoplayer i guess yes. I think i have to install this from source to and that could be a real pain..


  • Lifetime Qt Champion

    You can install libavcodec-dev and friends for ffmpeg inclusion.

    As for dbus, the dbus dev package.


  • Qt Champions 2018

    @Xenoshell Why do you want to install ffmpeg from source? Install libavcodec-dev package from your Linux distribution.



  • @SGaist i installed your suggested packages and now output is:

    Note: Also available for Linux: linux-clang linux-icc
    
    Note: Dropped compiler flags '-pthread' when detecting library 'glib'.
    
    Note: Disabling X11 Accessibility Bridge: D-Bus or AT-SPI is missing.
    
    Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer'.
    
    Note: Dropped compiler flags '-pthread' when detecting library 'gstreamer_app'.
    
    ERROR: Feature 'system-ffmpeg' was enabled, but the pre-condition 'libs.ffmpeg && features.system-opus && features.system-webp' failed.
    
    

    @Jsulm i dont want to install ffmpeg from source. I just installed already the package and the error still occurs and i just googled the problem and the solution was to install from source


  • Lifetime Qt Champion

    Check the logs for the related errors. You can also use the -v option to get a more verbose output of the configuration process.



  • @SGaist I think i found the relevant piece of information in config.log

    looking for library ffmpeg
    Trying source 0 (type pkgConfig) of library ffmpeg ...
    + /usr/bin/pkg-config --exists --silence-errors libavcodec libavformat libavutil
    pkg-config did not find package.
      => source produced no result.
    test config.qtwebengine.libraries.ffmpeg FAILED
    executing config test ninja
    Building own ninja
    test config.qtwebengine.tests.ninja FAILED
    looking for library opus
    Trying source 0 (type pkgConfig) of library opus ...
    + /usr/bin/pkg-config --exists --silence-errors opus
    pkg-config did not find package.
      => source produced no result.
    test config.qtwebengine.libraries.opus FAILED
    executing config test re2
    + cd /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/config.tests/re2 && /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtbase/bin/qmake "CONFIG -= qt debug_and_release app_bundle lib_bundle" "CONFIG += shared use_gold_linker warn_off console single_arch" /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtwebengine/config.tests/re2
    + cd /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/config.tests/re2 && MAKEFLAGS= /usr/bin/make clean && MAKEFLAGS= /usr/bin/make
    > rm -f re2.o
    > rm -f *~ core *.core
    > g++ -c -pipe -O2 -std=gnu++11 -w -fPIC  -I/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtwebengine/config.tests/re2 -I. -I/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtbase/mkspecs/linux-g++ -o re2.o /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtwebengine/config.tests/re2/re2.cpp
    > /home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtwebengine/config.tests/re2/re2.cpp:29:21: fatal error: re2/re2.h: No such file or directory
    > compilation terminated.
    > Makefile:1021: recipe for target 're2.o' failed
    > make: *** [re2.o] Error 1
    test config.qtwebengine.tests.re2 FAILED
    looking for library webp
    Trying source 0 (type pkgConfig) of library webp ...
    + /usr/bin/pkg-config --exists --silence-errors libwebp libwebpdemux
    pkg-config did not find package.
      => source produced no result.
    test config.qtwebengine.libraries.webp FAILED
    

  • Lifetime Qt Champion

    Install the libavformat and libavutil dev packages. Same goes for opus.



  • @SGaist no error anymore. Thanks for you help. I am gonna mark this solved after i ran make and make install



  • @SGaist
    Oh well, here are some errors.. Should i be worried or not?

    /usr/lib/gcc/arm-linux-gnueabihf/5/../../../arm-linux-gnueabihf/crt1.o(.text+0x28): error: undefined reference to 'main'
    collect2: error: ld returned 1 exit status
    Makefile:81: recipe for target 'schema' failed
    make[4]: *** [schema] Error 1
    make[4]: Leaving directory '/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtxmlpatterns/examples/xmlpatterns/schema'
    Makefile:122: recipe for target 'sub-schema-make_first' failed
    make[3]: *** [sub-schema-make_first] Error 2
    make[3]: Leaving directory '/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtxmlpatterns/examples/xmlpatterns'
    Makefile:44: recipe for target 'sub-xmlpatterns-make_first' failed
    make[2]: *** [sub-xmlpatterns-make_first] Error 2
    make[2]: Leaving directory '/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtxmlpatterns/examples'
    Makefile:97: recipe for target 'sub-examples-make_first' failed
    make[1]: *** [sub-examples-make_first] Error 2
    make[1]: Leaving directory '/home/blz/Downloads/qt-everywhere-opensource-src-5.9.3/qtxmlpatterns'
    Makefile:282: recipe for target 'module-qtxmlpatterns-make_first' failed
    make: *** [module-qtxmlpatterns-make_first] Error 2
    

    I am gonna not use make install just yet, because errors and wait for your answer.



  • @Xenoshell
    Just to let you know: I am the person who tried to help with your original "why I am unable to use the camera without freezing?" question!

    I see this thread is getting long, I do hope my advice to sort out your multimedia installation fully is worth it for all this compiling etc. you're doing, and not a red-herring...!!


  • Lifetime Qt Champion

    Don't build the tests nor the example, especially since your are cross-compiling. There's no use for that and you'll waste space, time and electricity for nothing.



  • @SGaist So are the errors now important or can i just install without worries?
    @JonB I just wanna cross out all possibilities what could be wrong


  • Qt Champions 2018

    @Xenoshell As you can see from what you posted those errors are coming from examples. As @SGaist suggested there is no need to build examples and tests (so, no these errors are not important). Use -skip to not to build examples and tests.



  • @jsulm yeah, since make is now finished its a little bit too late to skip the examples. But its good to know that those errors dont matter



  • @jsulm , @JonB somehow in the qt5 folder there is no qtmultimedia. I think i am going mental


  • Qt Champions 2018

    @Xenoshell make install ?



  • @jsulm yeah already did that


  • Qt Champions 2018

    @Xenoshell Do you mean there is no libQt5Multimedia.* in lib directory and no header files?



  • @jsulm nope in the lib folder there is only just everything else. Here is my command i used ./configure -opengl desktop -gui -widgets -gstreamer -pulseaudio -alsa -ffmpeg -dbus-linked, Do i maybe have to also add -multimedia?? I dont think there even is that command, but what do i have to do to install QtMultimedia


  • Lifetime Qt Champion

    Are you calling configure from the top folder ?
    If so, did you clean everything before calling configure again ?

    As I suggest every time: use out of source builds, that way if something goes wrong or you want to use a different set of option, you can simply nuke everything or change the folder and you know for sure you start from a clean state.



  • @SGaist i called configure from the top folder i got from the .tar.gz file. I just deleted config.cache before calling configure again. How would i go about cleaning everything before calling configure again? What are out of source builds?


  • Lifetime Qt Champion

    make distclean or make confclean

    As the name suggests: builds that happens out of the source tree.

    Basically:

    mkdir /home/your_user/build_qt5
    pushd /home/your_user/build_qt5
    /path/to/Qt_sources/configure -nomake tests -nomake examples
    make -j (number_of_cores * 2 + 1)
    make install
    popd
    


  • @SGaist Ok, is this even useful now? I mean i already installed Qt5 so isnt it a little bit too late?
    Btw in my other post about my code are some new outputs since i installed Qt5.


  • Lifetime Qt Champion

    It will be in the future when you'll build Qt again.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.